"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Breadcrumb = Breadcrumb;
var _instantsearchUiComponents = require("instantsearch-ui-components");
var _react = _interopRequireDefault(require("react"));
var _isModifierClick = require("./lib/isModifierClick");
var _excluded = ["classNames", "items", "hasItems", "createURL", "onNavigate", "separator", "translations"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function Breadcrumb(_ref) {
  var _ref$classNames = _ref.classNames,
    classNames = _ref$classNames === void 0 ? {} : _ref$classNames,
    _ref$items = _ref.items,
    items = _ref$items === void 0 ? [] : _ref$items,
    hasItems = _ref.hasItems,
    createURL = _ref.createURL,
    onNavigate = _ref.onNavigate,
    _ref$separator = _ref.separator,
    separator = _ref$separator === void 0 ? '>' : _ref$separator,
    translations = _ref.translations,
    props = _objectWithoutProperties(_ref, _excluded);
  var handleClick = function handleClick(value) {
    return function (event) {
      if (!(0, _isModifierClick.isModifierClick)(event)) {
        event.preventDefault();
        onNavigate(value);
      }
    };
  };
  return /*#__PURE__*/_react.default.createElement("div", _extends({}, props, {
    className: (0, _instantsearchUiComponents.cx)('ais-Breadcrumb', classNames.root, !hasItems && (0, _instantsearchUiComponents.cx)('ais-Breadcrumb--noRefinement', classNames.noRefinementRoot), props.className)
  }), /*#__PURE__*/_react.default.createElement("ul", {
    className: (0, _instantsearchUiComponents.cx)('ais-Breadcrumb-list', classNames.list)
  }, /*#__PURE__*/_react.default.createElement("li", {
    className: (0, _instantsearchUiComponents.cx)('ais-Breadcrumb-item', classNames.item, !hasItems && (0, _instantsearchUiComponents.cx)('ais-Breadcrumb-item--selected', classNames.selectedItem))
  }, /*#__PURE__*/_react.default.createElement("a", {
    href: createURL(null),
    onClick: handleClick(null),
    className: (0, _instantsearchUiComponents.cx)('ais-Breadcrumb-link', classNames.link)
  }, translations.rootElementText)), items.map(function (item, index) {
    var isLast = index === items.length - 1;
    return /*#__PURE__*/_react.default.createElement("li", {
      key: index,
      className: (0, _instantsearchUiComponents.cx)('ais-Breadcrumb-item', classNames.item, isLast && (0, _instantsearchUiComponents.cx)('ais-Breadcrumb-item--selected', classNames.selectedItem))
    }, /*#__PURE__*/_react.default.createElement("span", {
      "aria-hidden": "true",
      className: (0, _instantsearchUiComponents.cx)('ais-Breadcrumb-separator', classNames.separator)
    }, separator), isLast ? item.label : /*#__PURE__*/_react.default.createElement("a", {
      className: (0, _instantsearchUiComponents.cx)('ais-Breadcrumb-link', classNames.link),
      href: createURL(item.value),
      onClick: handleClick(item.value)
    }, item.label));
  })));
}