"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CurrentRefinements = CurrentRefinements;
var _instantsearchUiComponents = require("instantsearch-ui-components");
var _react = _interopRequireDefault(require("react"));
var _lib = require("./lib");
var _excluded = ["classNames", "items", "hasRefinements"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function CurrentRefinements(_ref) {
  var _ref$classNames = _ref.classNames,
    classNames = _ref$classNames === void 0 ? {} : _ref$classNames,
    _ref$items = _ref.items,
    items = _ref$items === void 0 ? [] : _ref$items,
    _ref$hasRefinements = _ref.hasRefinements,
    hasRefinements = _ref$hasRefinements === void 0 ? false : _ref$hasRefinements,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react.default.createElement("div", _extends({}, props, {
    className: (0, _instantsearchUiComponents.cx)('ais-CurrentRefinements', classNames.root, !hasRefinements && (0, _instantsearchUiComponents.cx)('ais-CurrentRefinements--noRefinement', classNames.noRefinementRoot), props.className)
  }), /*#__PURE__*/_react.default.createElement("ul", {
    className: (0, _instantsearchUiComponents.cx)('ais-CurrentRefinements-list', classNames.list, /* @MAJOR remove to ensure conformity with InstantSearch.css specs */
    !hasRefinements && (0, _instantsearchUiComponents.cx)('ais-CurrentRefinements-list--noRefinement', classNames.noRefinementList))
  }, items.map(function (item) {
    return /*#__PURE__*/_react.default.createElement("li", {
      key: [item.indexName, item.label].join('/'),
      className: (0, _instantsearchUiComponents.cx)('ais-CurrentRefinements-item', classNames.item)
    }, /*#__PURE__*/_react.default.createElement("span", {
      className: (0, _instantsearchUiComponents.cx)('ais-CurrentRefinements-label', classNames.label)
    }, (0, _lib.capitalize)(item.label), ":", ' '), item.refinements.map(function (refinement) {
      return /*#__PURE__*/_react.default.createElement("span", {
        key: refinement.label,
        className: (0, _instantsearchUiComponents.cx)('ais-CurrentRefinements-category', classNames.category)
      }, /*#__PURE__*/_react.default.createElement("span", {
        className: (0, _instantsearchUiComponents.cx)('ais-CurrentRefinements-categoryLabel', classNames.categoryLabel)
      }, refinement.label), /*#__PURE__*/_react.default.createElement("button", {
        type: "button",
        onClick: function onClick(event) {
          if ((0, _lib.isModifierClick)(event)) {
            return;
          }
          item.refine(refinement);
        },
        className: (0, _instantsearchUiComponents.cx)('ais-CurrentRefinements-delete', classNames.delete)
      }, "\u2715"));
    }));
  })));
}