"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Menu = Menu;
var _instantsearchUiComponents = require("instantsearch-ui-components");
var _react = _interopRequireDefault(require("react"));
var _isModifierClick = require("./lib/isModifierClick");
var _ShowMoreButton = require("./ShowMoreButton");
var _excluded = ["items", "classNames", "showMore", "canToggleShowMore", "onToggleShowMore", "isShowingMore", "createURL", "onRefine", "translations"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function Menu(_ref) {
  var items = _ref.items,
    _ref$classNames = _ref.classNames,
    classNames = _ref$classNames === void 0 ? {} : _ref$classNames,
    showMore = _ref.showMore,
    canToggleShowMore = _ref.canToggleShowMore,
    onToggleShowMore = _ref.onToggleShowMore,
    isShowingMore = _ref.isShowingMore,
    createURL = _ref.createURL,
    onRefine = _ref.onRefine,
    translations = _ref.translations,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react.default.createElement("div", _extends({}, props, {
    className: (0, _instantsearchUiComponents.cx)('ais-Menu', classNames.root, items.length === 0 && (0, _instantsearchUiComponents.cx)('ais-Menu--noRefinement', classNames.noRefinementRoot), props.className)
  }), /*#__PURE__*/_react.default.createElement("ul", {
    className: (0, _instantsearchUiComponents.cx)('ais-Menu-list', classNames.list)
  }, items.map(function (item) {
    return /*#__PURE__*/_react.default.createElement("li", {
      key: item.label,
      className: (0, _instantsearchUiComponents.cx)('ais-Menu-item', classNames.item, item.isRefined && (0, _instantsearchUiComponents.cx)('ais-Menu-item--selected', classNames.selectedItem))
    }, /*#__PURE__*/_react.default.createElement("a", {
      className: (0, _instantsearchUiComponents.cx)('ais-Menu-link', classNames.link),
      href: createURL(item.value),
      onClick: function onClick(event) {
        if ((0, _isModifierClick.isModifierClick)(event)) {
          return;
        }
        event.preventDefault();
        onRefine(item);
      }
    }, /*#__PURE__*/_react.default.createElement("span", {
      className: (0, _instantsearchUiComponents.cx)('ais-Menu-label', classNames.label)
    }, item.label), /*#__PURE__*/_react.default.createElement("span", {
      className: (0, _instantsearchUiComponents.cx)('ais-Menu-count', classNames.count)
    }, item.count)));
  })), showMore && /*#__PURE__*/_react.default.createElement(_ShowMoreButton.ShowMoreButton, {
    className: (0, _instantsearchUiComponents.cx)('ais-Menu-showMore', classNames.showMore, !canToggleShowMore && (0, _instantsearchUiComponents.cx)('ais-Menu-showMore--disabled', classNames.disabledShowMore)),
    disabled: !canToggleShowMore,
    onClick: onToggleShowMore,
    isShowingMore: isShowingMore,
    translations: translations
  }));
}