import React from 'react';
export type ClearRefinementsTranslations = {
    /**
     * The label of the button
     */
    resetButtonText: string;
};
export type ClearRefinementsProps = React.ComponentProps<'div'> & Pick<React.ComponentProps<'button'>, 'disabled' | 'onClick'> & {
    translations: ClearRefinementsTranslations;
    classNames?: Partial<ClearRefinementsClassNames>;
};
export type ClearRefinementsClassNames = {
    /**
     * Class names to apply to the root element
     */
    root: string;
    /**
     * Class names to apply to the button
     */
    button: string;
    /**
     * Class names to apply to the button when it's disabled
     */
    disabledButton: string;
};
export declare function ClearRefinements({ classNames, disabled, onClick, translations, ...props }: ClearRefinementsProps): React.JSX.Element;
