function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["facetName", "facetValue", "limit", "threshold", "fallbackParameters", "queryParameters", "escapeHTML", "transformItems", "itemComponent", "headerComponent", "emptyComponent", "layoutComponent"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import { createTrendingItemsComponent } from 'instantsearch-ui-components';
import React, { createElement, Fragment, useMemo } from 'react';
import { useInstantSearch, useTrendingItems } from 'react-instantsearch-core';
var TrendingItemsUiComponent = createTrendingItemsComponent({
  createElement: createElement,
  Fragment: Fragment
});
export function TrendingItems(_ref) {
  var facetName = _ref.facetName,
    facetValue = _ref.facetValue,
    limit = _ref.limit,
    threshold = _ref.threshold,
    fallbackParameters = _ref.fallbackParameters,
    queryParameters = _ref.queryParameters,
    escapeHTML = _ref.escapeHTML,
    transformItems = _ref.transformItems,
    itemComponent = _ref.itemComponent,
    headerComponent = _ref.headerComponent,
    emptyComponent = _ref.emptyComponent,
    layoutComponent = _ref.layoutComponent,
    props = _objectWithoutProperties(_ref, _excluded);
  var facetParameters = facetName && facetValue ? {
    facetName: facetName,
    facetValue: facetValue
  } : {};
  var _useInstantSearch = useInstantSearch(),
    status = _useInstantSearch.status;
  var _useTrendingItems = useTrendingItems(_objectSpread(_objectSpread({}, facetParameters), {}, {
      limit: limit,
      threshold: threshold,
      fallbackParameters: fallbackParameters,
      queryParameters: queryParameters,
      escapeHTML: escapeHTML,
      transformItems: transformItems
    }), {
      $$widgetType: 'ais.trendingItems'
    }),
    items = _useTrendingItems.items,
    sendEvent = _useTrendingItems.sendEvent;
  var layout = layoutComponent ? function (layoutProps) {
    return layoutComponent(_objectSpread(_objectSpread({}, layoutProps), {}, {
      classNames: {
        list: layoutProps.classNames.list,
        item: layoutProps.classNames.item
      }
    }));
  } : undefined;
  var _itemComponent = useMemo(function () {
    return itemComponent ? function (itemProps) {
      return itemComponent(_objectSpread(_objectSpread({}, itemProps), {}, {
        sendEvent: sendEvent
      }));
    } : undefined;
  }, [itemComponent, sendEvent]);
  var uiProps = {
    items: items,
    itemComponent: _itemComponent,
    headerComponent: headerComponent,
    emptyComponent: emptyComponent,
    layout: layout,
    status: status,
    sendEvent: sendEvent
  };
  return /*#__PURE__*/React.createElement(TrendingItemsUiComponent, _extends({}, props, uiProps));
}